Introduction to Popt

The popt package contains the popt libraries which are used by some programs to parse command-line options.

Package Information

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/popt

Installation of Popt

Install popt by running the following commands:

sed -i -e "/*origOptString ==/c 0)" popt.c &&
./configure --prefix=/usr &&

If you have Doxygen-1.5.2 installed and wish to build the API documentation, issue doxygen.

To test the results, issue:

make check

Now, as the root user:

make install

If you built the API documentation, install it using the following commands issued by the root user:

install -v -m755 -d /usr/share/doc/popt-1.10.4 &&
install -v -m644 doxygen/html/* /usr/share/doc/popt-1.10.4

Command Explanations

sed ...: This fix taken backported from the development version of popt fixes a problem identified by the included testsuite.


Installed Programs: None
Installed Library: libpopt.{so,a}
Installed Directories: /usr/share/doc/popt-1.10.4

Short Descriptions


is used to parse command-line options.

Last updated on 2008-08-10 16:20:02 -0500